%define __libtoolize    /bin/true

%define use_enable_indexlib 0
%{?_enable_indexlib: %{expand: %%global use_enable_indexlib 1}}

%define use_enable_final 1
%{?_no_enable_final: %{expand: %%global use_enable_final 0}}

%define compile_apidox 1
%{?_no_apidox: %{expand: %%global compile_apidox 0}}

%define unstable 0
%{?_unstable: %{expand: %%global unstable 1}}

%define branch 0
%{?_branch: %{expand: %%global branch 1}}

%if %unstable
%define dont_strip 1
%endif

Name: kconfigldap
Version: 0.5
Release: %mkrel 2
Group: Development/KDE and Qt
Summary: KConfigLdap is a Qt3 frontend for KDE 3 kconfig dumps
License: GPL
URL: http://www.mandriva.com
Source0: %name-%version.tar.gz
Patch: kconfigldap-0.5-newautomake.patch
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires: openldap-devel
BuildRequires: qt3-devel
BuildRequires: kdelibs-devel
Requires: qt3-Sqlite

%description
KConfigLdap is a frontend for KDE 3 kconfig dumps

%files
%defattr(-,root,root)
%_bindir/kconfigldap
%_datadir/applnk/*
%_datadir/applications/*
%_docdir/*
%_datadir/apps/*
%_datadir/icons/*

#-----------------------------------------------------------

%prep
%setup -q -n %name
%patch -p1

%build
export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

make -f Makefile.cvs

%configure2_5x \
%if %unstable
	--enable-debug=full \
%else
	--disable-debug \
%endif
%if %use_enable_final
	--enable-final \
%endif
	--disable-static \
    --disable-embedded \
    --disable-rpath \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
	--with-pic 

%make

%install
rm -fr %buildroot
export PATH=%_bindir:$PATH

make install DESTDIR=%buildroot


%changelog
* Fri Aug 31 2007 Andreas Hasenack <andreas@mandriva.com> 0.5-2mdv2008.0
+ Revision: 77185
- fix typo in summary
- patch to build with automake 1.10
- Import kconfigldap





* Thu May 31 2007 Helio Chissini de Castro <helio@mandriva.com> 0.5-1mlcd4
+ Revision: 33311
- Fix kprocess call. Thanks to Boiko

* Wed Apr 18 2007 Helio Chissini de Castro <helio@mandriva.com> 0.4-1mlcd4
+ Revision: 14845
- Updated for 0.4 release

  + Andreas Hasenack <andreas@mandriva.com>
    - imported corporate tree from recovered svn
